Agency Shipping Freight System Installation Manual

Agency Shipping Freight System Installation Manual Agency Shipping Freight System Installation Manual

Installation Manual

Version 1.2


 Agency Shipping Freight System Installation

Welcome to Agency Shipping Freight Systems package. This guide will help in installing ASFS in your office. You can configure the ASFS to enhance your productivity, and respond to your users more effectively.

For agents managing ACL as SOC business and PIL as COC, perform two installations of ASFS in the same SQL server.

For ACL it is known as Agency Feeder Management System AFMS.

Our suggested usage of the product

For PIL - You will be doing the main data entry in the webcsm, and ASFS will be the contingency system.
For ACL - You will enter and create BLs in the AFMS and send the BL EDI files to ACL. In other words, AFMS will be the primary system for ACL agents.

Major differences between ASFS and AFMS

  • There is no container tracking in AFMS.
  • The charge code and commodity codes are different for ACL and PIL
  • Some additional movement types like TFCL, TMTY are to be selected for ACL.
  • FMS Partner codes used by ACL Singapore are mandatory in the BL EDI files for both shipper and consignee.
  • AFMS exploits the usage of bayplan file while creating the outbound BLs.

ASFS installation

SQL installation at server
Provides information about SQL server installation. If you are installing SQL server software for the first time, keep the suggestions in mind while installing. If you have installed already, then ensure the configuration is as per the suggestions given.

MSDE SQL installation
Provides information about MSDE SQL installation.

ASFS System installation at server
Provides information on installing ASF at the server. You can do a basic installation first and complete the initial essential settings.

Configuring ASF for your office
Provides information on administration and configuration of ASFS. Later you can enhance ASFS to suit your office.

User workstation installation
Guides you to install ASFS in the user's workstations.

Useful Productivity Tips
Guides you to enhance ASFS to suit your office requirements.


 SQL installation at server

The following steps will guide you to prepare the ASFS database in the Microsoft SQL server.

If you have an existing running SQL server installation, you need to ensure the following attributes are present.

If you are installing the SQL server database for the first time, please ensure the recommended settings.

You don't have to create any database or user in the server.

Do the following steps in the server after logging as administrator.

Recommended collation sequence
SQL_Latin1_General_CP1_CI_AS

Security / Authentication.
Authentication:-
Select "SQL server and windows". If it is not set earlier, set it and restart the server to enable this option to take effect.

Other options like number of licenses, remote server connection setting etc. can be set as per your requirements.

Additional Information


MSDE SQL installation

 Microsoft Desktop Engine 2000 (MSDE2000) installation

The following steps will guide you to install MSDE in the workstation/PC.

When to install MSDE
If the number of ASFS users are limited to 1 or 2 and your volume of business is low or you want to train and familiarise first in ASF, then instead of installing a full version of SQL server you can install MSDE 2000 on a suitable workstation and ASFS can store it's data in the MSDE2000 instead of SQL server.
You can copy the ASF data created in MSDE environment to SQL server version at any time without losing any data.

Minimum hardware requirements to install MSDE
MSDE 2000 is designed to run on the following operating systems,

  • Microsoft Windows 98
  • Microsoft Windows Millennium Edition
  • Microsoft Windows NT Workstation 4.0 with Service Pack 5 (SP5), or later
  • Microsoft Windows NT Server 4.0 with Service Pack 5 (SP5), or later
  • Microsoft Windows NT version 4.0 Server Enterprise Edition with Service Pack 5 (SP5), or later
  • Microsoft Windows 2000 Professional
  • Microsoft Windows 2000 Server
  • Microsoft Windows 2000 Advanced Server
  • Microsoft Windows 2000 Datacenter Server
  • Microsoft Windows XP
  • Microsoft Windows Server 2003
Processor
A computer with a Pentium processor that must be running a minimum of 166 MHz.
Memory
A minimum of 256 megabytes (MB) of RAM.
Hard Disk
50 MB minimum of free hard disk space.
Other
Microsoft Internet Explorer version 5.5, or later.

How to install MSDE
MSDE 2000 Rel.A is given along with the ASFS CD. You can also download the software directlry from the Microsoft site. Follow these steps to install MSDE.

  • Navigate to the sub folder MSDE and click the file MSDE2000A.EXE file.
  • Agree to the terms and conditions
  • Select the folder to copy the install files - Default will be C:\MSDERelA
  • Wait till the files are copied and the message "The package has been delivered successfully"
  • Copy the file in the sub folder MSDE\ASFMSDE.BAT to the C:\MSDERELA
  • Switch to the "Command / DOS prompt" mode and change to C:\MSDERELA
  • Decide a suitable password for the "sa" login account. Remember this password, and you need this password to manage the MSDE. You can not have a blank password.
  • Assuming the password you have selected as "XYZ123", enter this command in the DOS prompt.
  • ASFMSDE.BAT ZYZ123
  • Wait for some time to install the MSDE.
  • Close the DOS prompt window and you can proceed to install ASFS.
  • Restart the server
  • Now MSSQL server should be running, and ensure the litle toolbar icon of MSSQL in the bottom is displayed.

Additional Information


 ASF installation at server

The following steps will guide you to install the ASFS in the server. If your office is responsible for PIL and ACL business, then you have to install twice, once for PIL and once for ACL.
For PIL, it is called "ASFS" and for ACL it is called "AFMS".

The directory structure between the server, workstations and business models are given below for your overhaul understanding.
In server
Base directory for both ASFS and AFMS C:\ASFS_INSTALL
Server Installation directory for ASFS All executables and library files C:\ASFS_SERVER | Server Installation directory for AFMS All executables and library files C:\AFMS_SERVER
Backup directory for ASFS C:\ASFS_SERVER\BCKDIR | Backup directory for AFMS C:\AFMS_SERVER\BCKDIR

In workstation
Short cuts should point to the exe files in ASFS network drive \ASFS_SERVER | Short cuts should point to the exe files in AFMS network drive \AFMS_SERVER
Root Working directory for ASFS C:\ASFS | Root Working directory for AFMS C:\AFMS
EDI In files directory for ASFS C:\ASFS\EdiIn | EDI In files directory for AFMS C:\AFMS\EdiIn
EDI out files directory for ASFS C:\ASFS\EdiOut | EDI out files directory for AFMS C:\AFMS\EdiOut
Report files directory for ASFS C:\ASFS\RptDir | Report files directory for AFMS C:\AFMS\RptDir
Temporary files directory for ASFS C:\ASFS\Tmp | Temporary files directory for AFMS C:\AFMS\tmp

Do the following steps in the SQL server after logging as administrator.

  1. Create a new directory ASFS_INSTALL in the server
    Create a new directory ASFS_INSTALL in the server's hard disk. We recommend to create the directory at the root level.
    You can decide the drive where you want to install.
  2. Unzip or copy the contents of the CD into the above directory.
    The following files should exist in the directory
    File name | Fize size | File date/Remarks
    gdiplus.dll | 1,700,352 | 06-Sep-01 01:00 PM
    msvcr70.dll | 344,064 | 19-Mar-02 12:01 AM
    vfp8r.dll | 4,300,800 | 25-Sep-03 09:36 PM
    VFP8RENU.DLL | 1,150,976 | 25-Sep-03 08:47 PM
    xpsmtp80.dll | 96,256 | 12-Aug-02 10:36 PM
    AclData\AsfsSqlBaseAcl.bck | 5,980 KB | Base SQL database for ACL
    AclData\AsfinsAcl.dat | Installation commands file for ACL
    PilData\AsfsSqlBase.bck | 5,980 KB | Base SQL database for PIL
    PilData\Asfins.dat | Installation commands file for PIL
    PilData\AllPoolCds.csv | 83 KB | Pool locations base file for PIL
    Asffst.EXE | Installation program
    Asfadmin.EXE | Administrator program
    Asf.EXE | User program
    Asfupg.exe | Upgrade program
    AdminHelp.chm | Administrator help manual
    UserHelp.chm | User help manual
    InstallHelp.chm | Install help manual
  3. ASF first time installation - Starting

    Use explorer and navigate to the folder ASFS_Install. Click on the Asffst.exe and the program will run and display this message. Click Yes to proceed.
  4. Logging on SQL server

    Use SQL user administrator name and password and connect to SQL server.
  5. Installation steps - File locations

    If you are installing AFMS for ACL, then browse and select the file in the sub directory "AclData\AsfinsAcl.dat" where you have copied the files from the CD.
    If you are installing ASFS for PIL, then browse and select the file in the sub directory "PilData\Asfsins.dat" where you have copied the files from the CD.
    Based on your checking, the system will show the default file name.
    ASFS Installation directory
    Enter the drive and directory name where ASFS will be installed. Follow the default suggestion. (ASFS_SERVER or AFMS_SERVER) If required, change the drive letter. If the directory does not exist, it will be created.
    ASFS/AFMS Database user name and password
    The name and password you enter will used to access the SQL server to maintain the ASFS/AFMS tables. If the user name is not already exists in the SQL server, then the user name will be created.This user name is not meant for logging into ASFS/AFMS application.
  6. Next step
    Click the Next button, and you will be prompted to enter the port/city code. Enter the 5 character port code. E.g MYPGU
  7. XPSMTP Installation

    In order to send emails thru ASFS, installing this software is necessary. The necessary programs will be installed in the SQL server directory and it will be registered in the SQL server automatically. For any reasons, if you don't want to install this routine then un tick this box.

    Since the library file has to be copied to the SQL bin directory it will show the default directory. If you had installed the SQL server in any other directory then you may have to browse and locate the directory.
  8. SMTP server configuration for outgoing emails
    To send emails, a SMTP server is required. Enter the name or the IP address of this server in this field.
  9. Company name and email setup

    Enter the company name as you would like it to appear in the reports. Ensure your company name is entered correctly. Any changes later has to be done at every report level.
  10. Start installation

    Installation summary:- In this window all the info will be shown for your verification. If you want to correct any of them, you can click the Previous button and change the fields.

    Confirmation:- When you are satisfied with the data, click the Finish button and the installation of ASFS will start.

    Duration:- Installation may take around 10 minutes.

    Special notes :- Once started do not terminate the installation process. During the installation process, a log file will be created. After the installation is completed, you will be prompted to send the log file to us.

    If not sent by the system, or if you encounter any errors, please send the log file to ISD Singapore for support. If the installation is successful, and if the log file is not sent earlier, then send the log file to us for our record purpose.

Additional Information


 Configuring ASF for your office

The following steps will guide you to configure ASFS to suit your office needs. If you are installing ASFS for ACL SOC business as an another instance, you may have to repeat most of the steps again.

Please study the administrator manual before attempting these steps. Do the following steps in the workstation. Before doing these steps, you can take a printout of this topic and use it as a check list and record your progress and values you had entered. Few steps are to be completed before you allow users to operate the ASFS. Few steps which are marked as optional can be completed at a later time.

  1. Create a new directory in the workstation
    Create a new directory in the workstation called as given in the overview. We recommend to create the directory at the root level. You can decide the drive where you want to create the working directory.
  2. Create a shortcut to ASFADMIN.EXE
    Use explorer and navigate to the folder where ASFS was installed. We recommend to map this directory in the server permanently. Make the working directory as as given in the overview.
  3. Launch ASFADMIN
    Click the shortcut and launch the Asf Admin program. When you launch the ASF first it will create four sub directories under the working directory. They are used by the ASFS for different purposes and hence don't delete them.
  4. Updating partner address
    Select from the top menu, Agency standing data > Partners. To maintain partner address refer "Partner maintenance" in the user manual.
    Seq. | Address | Remarks
    1 | Office | Update the partner code 000501 which is system designated for your office address.
    2 | Terminals | For every one of your terminals, create a new partner code with the terminal address. If your office is handling more than one terminal, do create a new partner code for every terminal.
    3 | Depots | For every depot where you are storing empty containers, create a partner code with the depot address. Enter the email id of the depot, so that container release order email can be sent to them directly. For testing purpose you can enter your email id first and later change it to the depot email id.
    4 Banks
    (Optional)     		For every bank your office is operating, create a partner code with the bank address.
    5 Vessel operators
    (Optional)     		For every outside carrier or consortium partners you are loading or discharging in your vessel operations, create a partner code with the partner address.
  5. Container pool codes
    When the ASFS is installed first time, country codes, city/port codes, movement codes, charge codes, etc. is supplied along with the database. Only when new codes are added, you have to add them manually. Since these codes are static you will not have any large number of records to add.

    However your office is going to deal with a limited number of container pool/locations codes. Since we don't want to copy all pool codes available in the entire PIL network to your installation, you have to add the required pool codes manually for the first time.

    To do this select from the top menu, Principal Standing Data > Pool codes. Enter the service codes, country pool codes, and location pool codes which are used in your office.

    To maintain pool codes refer "Pool codes maintenance" in the administrator manual.
  6. Updating delivery order addressed to links
    When you issue delivery order, this will be addressed to the person who is holding the inbound laden containers. Normally it will be the terminal managers.

    Depending on the discharge and transportation to inland points the delivery order will be issued to different organizations.

    Hence you have to associate the partner code created in the earlier steps to the container locations.

    To do this select Agency Standing Data > Container locations and enter the partner codes in the appropriate container location where inbound laden containers are stored.

    To maintain container location codes refer "Container Location codes maintenance" in the administrator manual.
  7. ASFS configuration
    You have to enter few key configuration values before you can use ASFS. The following describes the data to be updated.

    To do this select from the top menu, Admin > ASF Configuration. Depending on the info, various pages has to be selected.

    1. Business model : Depending on your office function, enter COC, SOC, ICD.

    2. Codes : Enter your country currency code and other details.

    3. Detention free days : Enter the default container detention free days. You can enter city/point specific detention free days also. These values will be used when they are not available.

    4. Terminals : Your office may handle minimum of one terminal. Also it may handle more than one terminal, and these terminals need not be even in the same city. You may have terminals where only operations take place and all other documentation like issuing delivery order, release of containers, issue of BLs will be from your office. In these cases also you can enter those terminals here.

    5. Local, ICD, gateway ports : While importing BLs, the system has to derive the type of BL, where delivery order is to be issued, detention free days etc. based on the final delivery port. In order to identify this, the information entered here will be used.

    6. Stationery settings : Depending on the type of printers used and the stationery used in you office configure the printer / stationery settings. If a particular type is not used in your whole office, disable that type. The disabled printer types will not be shown to the end users.

    7. Delivery order and container release number series : Set these series as per your needs.

    To maintain ASF configuration refer "ASF Configuration" in the administrator manual.
  8. Create users
    You have to create user ids so that your office personnel can login into ASFS. As an ASF administrator, you can login into ASFS and test user modules.

    After the installation, create users and assign rights as per your office policy and functional requirements.

    To do this select from the top menu, Admin > User names. Refer "User Names" in the administrator manual.
  9. Backup ASFS SQL Database
    After installing and setting up the ASFS, you should take a backup of the SQL data. You can do this outside ASFS using SQL server or in your routine backup software.

    You can also create backups from ASFS. To do this select from the top menu, Admin > ASF Housekeeping. Refer "ASF Housekeeping" in the administrator manual.

Additional Information


 User workstation installation

The following steps will guide you to prepare user workstations to access ASFS/AFMS and use. You should have completed the user ID creation for all users, before installing in the user's workstations.

Users should study the User help manual before using ASFS.

  1. Map a permanent drive
    Create a permanent mapping to the network drive in the server where ASFS/AFMS is installed. Depending on the server operating system, you can setup this mapping. A consistent mapping will help you in copying the shortcuts from one workstation to another one easily.
    In server
    Server Installation directory for ASFS
    All executables and library files
    C:\ASFS_SERVER     		Server Installation directory for AFMS
    All executables and library files
    C:\AFMS_SERVER

    In workstation
    Short cuts should point to the exe files in ASFS
    network drive \ASFS_SERVER     		Short cuts should point to the exe files in AFMS
    network drive \AFMS_SERVER
    Root Working directory for ASFS
    C:\ASFS     		Root Working directory for AFMS
    C:\AFMS
    EDI In files directory for ASFS
    C:\ASFS\EdiIn     		EDI In files directory for AFMS
    C:\AFMS\EdiIn
    EDI out files directory for ASFS
    C:\ASFS\EdiOut     		EDI out files directory for AFMS
    C:\AFMS\EdiOut
    Report files directory for ASFS
    C:\ASFS\RptDir     		Report files directory for AFMS
    C:\AFMS\RptDir
    Temporary files directory for ASFS
    C:\ASFS\Tmp     		Temporary files directory for AFMS
    C:\AFMS\tmp
  2. Create a directory in workstation
    Create a directory in the workstation local hard drive. We recommend the name of the directory as given above. Follow a uniform naming method for all the workstations. You can change the drive letter as per your need.

    Don't create this directory in the network drives. Don't share this directory with other users.
  3. Crate a shortcut to ASF.EXE
    Use explorer and navigate to the folder where ASFS was installed, and create a shortcut to ASF.EXE. Make the working directory to the directory created in the local drive.
  4. First time launch of ASF
    Click the shortcut and launch the Asf user program. When you launch the ASF first time it will create four sub directories under the working directory. They are used by the ASFS for different purposes and hence don't delete them.
  5. Printing in ASFS
    ASF will be able to print in the printers available in the Windows printer folders. Depending on your requirement, create the printers in the Windows setup.

Additional Information


 Useful Productivity Tips

We have identified few settings in ASFS, which will increase your office productivity. It enhances some of your office work process.

The following steps will guide you to set up those settings as per your office needs.

  1. Billing/Invoicing currency
    Decide the billing or invoicing currency for every charge. Based on this currency, the manifested currency will be converted. You can bill in any three currencies. 1. In USD, 2. In Euro, 3. In the home/functional currency.
  2. Tailor invoices as per your office needs
    Invoicing in ASFS requires a careful planning. Quite a few options allow you to configure ASFS to produce the invoices as per your office requirement.

    Please read the topic "Planning invoices" in the administrator manual.

  3. Your port names in the BLs
    If your customers require your port name to be printed in some alternate way, you can set it in the port/ city maintenance.

    Refer "Port code maintenance" in the administrator manual.
  4. Update container detention charges
    You should verify and update the container detention charges before creating any detention bills.

    Refer "Auto charges" in the administrator manual.
  5. Update auto charges
    You can set up an auto loading of charges for inbound and outbound BLs which are not manifested. These charges would be automatically added while importing the EDI BLs or can be added by the user as and when required.

    E.g any terminal charges levied by terminals, delivery order fees, documentation fees, container washing charges etc.

    Refer "Auto charges" in the administrator manual for more details.
  6. Configure report layouts
    ASFS has a flexibility to configure the reports. You can configure company name and address. Many of the report's footer area can be designed and printed as per your office requirements.

    Refer "ASF Report variables maintenance" in the administrator manual for more details.
  7. Import partners
    Over a period of time you would have built a database of your partners/customers address in your office. This information may be in paper form or in soft form like Excel sheets or in your inhouse systems. You can import this information from any softcopy into ASFS.

    Refer "Import partners" in the administrator manual for more details.
  8. Updating container stock in ASFS
    To facilitate creating your container inventory in ASFS when you install and start using ASFS an export procedure is available in Webcsm. All containers in your control as reported last by your office will be exported in a format suitable for ASFS. This file can be imported into ASFS. Subsequent moves should be generated from ASFS.

    Refer "Import containers" in the administrator manual for more details.
  9. Create booking agents
    In order to track who has made outbound bookings, you can create the booking agents/parties in the ASFS.

    Refer "Booking Agents" in the administrator manual for more details.
  10. Create depot HTML file
    To facilitate container depots reporting the daily movements to you easily in the EDI format a HTML file designed for the specific depot and your office can be created.

    Refer "Depot HTML and template creation" in the administrator manual for more details.
  11. Create EDI files template
    To avoid manual keying of daily container movements, you can make use of softcopy EDI files received form terminals, depots, surveyors. You can create a template file to map the EDI data and use the template file to update the movements.

    Refer "Depot HTML and template creation" in the administrator manual for more details.

Additional Information

Configuring ASF for your office